slepc-3.10.1 2018-10-23
Report Typos and Errors

# STCheckNullSpace

Given a basis vectors object, this function tests each of its constraint vectors to be a nullspace vector of the coefficient matrix of the associated KSP object. All these nullspace vectors are passed to the KSP object.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STCheckNullSpace(ST st,BV V)

Collective on ST

### Input Parameters

| st | - the spectral transformation context
| V | - basis vectors to be checked

### Note

This function allows to handle singular pencils and to solve some problems in which the nullspace is important (see the users guide for details).

### See Also

EPSSetDeflationSpace()

Location: src/sys/classes/st/interface/stsles.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages